

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>5.1. サーバーパッケージ &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../genindex.html" />
    <link rel="search" title="検索" href="../search.html" />
    <link rel="next" title="5.2. HTTP" href="http.html" />
    <link rel="prev" title="5. サーバー" href="../server.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../en/html/server/package.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="http.html" title="5.2. HTTP"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../server.html" title="5. サーバー"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../server.html" accesskey="U"><span class="section-number">5. </span>サーバー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">5.1. </span>サーバーパッケージ</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="server-packages">
<h1><span class="section-number">5.1. </span>サーバーパッケージ<a class="headerlink" href="#server-packages" title="このヘッドラインへのパーマリンク">¶</a></h1>
<p><code class="docutils literal notranslate"><span class="pre">groonga</span></code> パッケージは全文検索を行うための最小構成のパッケージです。サーバー用途で使うために、設定済みのパッケージを追加でインストールすることができます。</p>
<p>サーバー用途の2つのパッケージがあります。</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> (nginxをベースにしたHTTPサーバー)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code> (<a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> サーバー)</p></li>
</ul>
<p>groongaがGQTPだけでなく、2つのHTTPサーバーパッケージをサポートしているのには理由があります。 <a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> - Groonga Query Transfer Protocol はオーバーヘッドを低減し、パフォーマンスを向上させるように設計されていますが、HTTPプロトコルほどクライアントライブラリのサポートがありません。HTTPは枯れたプロトコルなので既存のツールを活用できたり、多くのクライアントライブラリが存在します。(詳細は <a class="reference external" href="http://groonga.org/ja/related-projects.html">関連プロジェクト</a> を参照) <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> パッケージを使うと nginxの機能の恩恵を受けることができます。</p>
<p>最初は <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> パッケージを使うことをおすすめします。プロトコルのオーバーヘッドがパフォーマンス上問題となったら <code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code> を検討してください。</p>
<blockquote>
<div><div class="admonition note">
<p class="admonition-title">注釈</p>
<p>In the previous versions, there is a <code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package (simple HTTP protocol
based server package). It is now marked as obsolete, please use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> packages
instead. <code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package became a transitional package for <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code>.</p>
</div>
</div></blockquote>
<div class="section" id="groonga-httpd">
<h2><span class="section-number">5.1.1. </span>groonga-httpd<a class="headerlink" href="#groonga-httpd" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> はnginxをベースにしたHTTPサーバーパッケージです。</p>
<p>設定済みの内容:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>項目</p></th>
<th class="head"><p>既定値</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>ポート番号</p></td>
<td><p>10041</p></td>
</tr>
<tr class="row-odd"><td><p>アクセスログ</p></td>
<td><p>/var/log/groonga/httpd/acccess.log</p></td>
</tr>
<tr class="row-even"><td><p>エラーログ</p></td>
<td><p>/var/log/groonga/http-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>データベース</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
<tr class="row-even"><td><p>設定ファイル</p></td>
<td><p>/etc/groonga/httpd/groonga-httpd.conf</p></td>
</tr>
</tbody>
</table>
<div class="section" id="start-http-server">
<h3><span class="section-number">5.1.1.1. </span>HTTPサーバーを起動<a class="headerlink" href="#start-http-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd start
</pre></div>
</div>
<p>groonga HTTPサーバーを起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-httpd
</pre></div>
</div>
</div>
<div class="section" id="stop-http-server">
<h3><span class="section-number">5.1.1.2. </span>HTTPサーバーを終了<a class="headerlink" href="#stop-http-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを終了(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd stop
</pre></div>
</div>
<p>groonga HTTPサーバーを起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-httpd
</pre></div>
</div>
</div>
<div class="section" id="restart-http-server">
<h3><span class="section-number">5.1.1.3. </span>HTTPサーバーを再起動<a class="headerlink" href="#restart-http-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを再起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-httpd restart
</pre></div>
</div>
<p>groonga HTTPサーバーを再起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-httpd
</pre></div>
</div>
</div>
</div>
<div class="section" id="groonga-server-gqtp">
<h2><span class="section-number">5.1.2. </span>groonga-server-gqtp<a class="headerlink" href="#groonga-server-gqtp" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-gqtp</span></code> は <a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> サーバーパッケージです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>項目</p></th>
<th class="head"><p>既定値</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>ポート番号</p></td>
<td><p>10043</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="../reference/log.html#process-log"><span class="std std-ref">プロセスログ</span></a></p></td>
<td><p>/var/log/groonga/groonga-gqtp.log</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="../reference/log.html#query-log"><span class="std std-ref">クエリーログ</span></a></p></td>
<td><p>/var/log/groonga/gqtp-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>データベース</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
</tbody>
</table>
<p>サーバー設定ファイル (Debian/Ubuntu):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/default/groonga/groonga-server-gqtp
</pre></div>
</div>
<p>サーバー設定ファイル(CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/sysconfig/groonga-server-gqtp
</pre></div>
</div>
<div class="section" id="start-gqtp-server">
<h3><span class="section-number">5.1.2.1. </span>GQTPサーバーを起動<a class="headerlink" href="#start-gqtp-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga GQTPサーバーを起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-gqtp start
</pre></div>
</div>
<p>groonga GQTPサーバーを起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-server-gqtp
</pre></div>
</div>
</div>
<div class="section" id="stop-gqtp-server">
<h3><span class="section-number">5.1.2.2. </span>GQTPサーバーを終了<a class="headerlink" href="#stop-gqtp-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga GQTPサーバーを終了(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http stop
</pre></div>
</div>
<p>groonga GQTPサーバーを終了(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-server-gqtp
</pre></div>
</div>
</div>
<div class="section" id="restart-gqtp-server">
<h3><span class="section-number">5.1.2.3. </span>GQTPサーバーを再起動<a class="headerlink" href="#restart-gqtp-server" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを再起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-gqtp restart
</pre></div>
</div>
<p>groonga HTTPサーバーを再起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-server-gqtp
</pre></div>
</div>
</div>
</div>
<div class="section" id="groonga-server-http">
<h2><span class="section-number">5.1.3. </span>groonga-server-http<a class="headerlink" href="#groonga-server-http" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> は簡易HTTPサーバーパッケージです。</p>
<blockquote>
<div><div class="admonition note">
<p class="admonition-title">注釈</p>
<p><code class="docutils literal notranslate"><span class="pre">groonga-server-http</span></code> package is the transitional package since Groonga 4.0.8.
Please use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> instead.</p>
</div>
</div></blockquote>
<p>設定済みの内容:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 34%" />
<col style="width: 66%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>項目</p></th>
<th class="head"><p>既定値</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>ポート番号</p></td>
<td><p>10041</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="../reference/log.html#process-log"><span class="std std-ref">プロセスログ</span></a></p></td>
<td><p>/var/log/groonga/groonga-http.log</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="../reference/log.html#query-log"><span class="std std-ref">クエリーログ</span></a></p></td>
<td><p>/var/log/groonga/http-query.log</p></td>
</tr>
<tr class="row-odd"><td><p>データベース</p></td>
<td><p>/var/lib/groonga/db/*</p></td>
</tr>
</tbody>
</table>
<p>サーバー設定ファイル (Debian/Ubuntu):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/default/groonga/groonga-server-http
</pre></div>
</div>
<p>サーバー設定ファイル(CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>/etc/sysconfig/groonga-server-http
</pre></div>
</div>
<div class="section" id="id1">
<h3><span class="section-number">5.1.3.1. </span>HTTPサーバーを起動<a class="headerlink" href="#id1" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http start
</pre></div>
</div>
<p>groonga HTTPサーバーを起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl start groonga-server-http
</pre></div>
</div>
</div>
<div class="section" id="id2">
<h3><span class="section-number">5.1.3.2. </span>HTTPサーバーを終了<a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを終了(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http stop
</pre></div>
</div>
<p>groonga HTTPサーバーを終了(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl stop groonga-server-http
</pre></div>
</div>
</div>
<div class="section" id="id3">
<h3><span class="section-number">5.1.3.3. </span>HTTPサーバーを再起動<a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>groonga HTTPサーバーを再起動(Debian/Ubuntu/CentOS):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo service groonga-server-http restart
</pre></div>
</div>
<p>groonga HTTPサーバーを再起動(Fedora):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo systemctl restart groonga-server-http
</pre></div>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">5.1. サーバーパッケージ</a><ul>
<li><a class="reference internal" href="#groonga-httpd">5.1.1. groonga-httpd</a><ul>
<li><a class="reference internal" href="#start-http-server">5.1.1.1. HTTPサーバーを起動</a></li>
<li><a class="reference internal" href="#stop-http-server">5.1.1.2. HTTPサーバーを終了</a></li>
<li><a class="reference internal" href="#restart-http-server">5.1.1.3. HTTPサーバーを再起動</a></li>
</ul>
</li>
<li><a class="reference internal" href="#groonga-server-gqtp">5.1.2. groonga-server-gqtp</a><ul>
<li><a class="reference internal" href="#start-gqtp-server">5.1.2.1. GQTPサーバーを起動</a></li>
<li><a class="reference internal" href="#stop-gqtp-server">5.1.2.2. GQTPサーバーを終了</a></li>
<li><a class="reference internal" href="#restart-gqtp-server">5.1.2.3. GQTPサーバーを再起動</a></li>
</ul>
</li>
<li><a class="reference internal" href="#groonga-server-http">5.1.3. groonga-server-http</a><ul>
<li><a class="reference internal" href="#id1">5.1.3.1. HTTPサーバーを起動</a></li>
<li><a class="reference internal" href="#id2">5.1.3.2. HTTPサーバーを終了</a></li>
<li><a class="reference internal" href="#id3">5.1.3.3. HTTPサーバーを再起動</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../server.html"
                        title="前の章へ"><span class="section-number">5. </span>サーバー</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="http.html"
                        title="次の章へ"><span class="section-number">5.2. </span>HTTP</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="http.html" title="5.2. HTTP"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../server.html" title="5. サーバー"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../server.html" ><span class="section-number">5. </span>サーバー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">5.1. </span>サーバーパッケージ</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>